Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-7154

debian packages still try to use java 1.5 by default

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 14.0.0
    • Fix Version/s: 14.0.1
    • Component/s: Installation
    • Security Level: Default (Default Security Scheme)
    • Labels:
      None

      Description

      runjava: specified JRE "/usr/lib/jvm/java-1.5.0-sun/bin/java" does not exist or is not executable
      
       *** Installation complete.  You must still run the installer at
       *** $OPENNMS_HOME/bin/install to be sure your database is up
       *** to date before you start OpenNMS.  See the install guide at
       *** http://www.opennms.org/wiki/Installation:Debian and the
       *** release notes for details.
      
      insserv: Service postgresql has to be enabled to start service opennms
      insserv: exiting now!
      update-rc.d: error: insserv rejected the script header
      dpkg: error processing package opennms-server (--configure):
       subprocess installed post-installation script returned error exit status 1
      dpkg: dependency problems prevent configuration of opennms-webapp-jetty:
       opennms-webapp-jetty depends on opennms-server (= 14.0.0-1); however:
        Package opennms-server is not configured yet.
      
      dpkg: error processing package opennms-webapp-jetty (--configure):
       dependency problems - leaving unconfigured

        Attachments

          Activity

            People

            • Assignee:
              ranger Benjamin Reed
              Reporter:
              ranger Benjamin Reed
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: